
QGIS Application - Bug report #19309

DB Manager exception on SQL Window open

2018-06-29 03:47 PM - Tõnis Kärdi

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.2 Regression?: Yes

Operating System: Ubuntu 16.04.4 Xenial Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27137

Description

After upgrade to QGIS 3.2 Bonn, opening a "SQL window" in DB Manager raises an exception:

AttributeError: type object 'QKeySequence' has no attribute 'Cancel'

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 195, in runSqlWindow

    query = DlgSqlWindow(self.iface, db, self)

  File "/usr/share/qgis/python/plugins/db_manager/dlg_sql_window.py", line 99, in __init__

    self.btnCancel.setShortcut(QKeySequence.Cancel)

AttributeError: type object 'QKeySequence' has no attribute 'Cancel'

and does not open a new sql window.

OS: Ubuntu 16.04.4 xenial x86_64

Python version: 3.5.2 (default, Nov 23 2017, 16:37:01) [GCC 5.4.0 20160609] 

QGIS version: 3.2.0-Bonn Bonn, bc43194 

QGIS installed from https://qgis.org/ubuntugis using ubuntugis-unstable deps.

QGIS About window says the Qt version compiled against is 5.5.1 and running against 5.5.1 aswell.

Related issues:

Duplicates QGIS Application - Bug report # 18941: Can't edit GeoPackage using... Closed 2018-05-12

Associated revisions

Revision 9d8202b6 - 2018-06-30 10:35 AM - Nyall Dawson

[dbmanager] Fix exception on older Qt builds

Fixes #19309

Revision c9f23fdf - 2018-06-30 10:49 PM - Nyall Dawson

[dbmanager] Fix exception on older Qt builds

Fixes #19309

(cherry-picked from 9d8202b6)
https://qgis.org/ubuntugis


History

#1 - 2018-06-29 04:06 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

#2 - 2018-06-30 01:26 AM - Nyall Dawson

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/7339

#3 - 2018-06-30 10:35 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|9d8202b66aee362d796d78b1f1bebe00948c6ae9.

#4 - 2018-07-08 07:02 PM - Jürgen Fischer

- Duplicates Bug report #18941: Can't edit GeoPackage using SQL through DBManager added
https://github.com/qgis/QGIS/pull/7339

